# TODO:
# - make cgi scripts from doc as separate packages
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Filesys
%define		pnam	SmbClient
Summary:	Filesys::SmbClient - interface for access Samba filesystem
Summary(pl.UTF-8):	Filesys::SmbClient - interfejs dostępu do systemu plików Samby
Name:		perl-Filesys-SmbClient
Version:	3.2
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Filesys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8a4205fe748aac7f43fb2a0e8ef502b2
URL:		http://search.cpan.org/dist/Filesys-SmbClient/
Patch0:		Makefile.patch
Patch1:		samba4.patch
BuildRequires:	autoconf
BuildRequires:	libsmbclient-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _noautocompressdoc *.cgi

%description
Filesys::SmbClient Perl module provides interface to access routine
defined in libsmbclient.so and, using this routine, Samba filesystem.

%description -l pl.UTF-8
Moduł Perla Filesys::SmbClient stanowi interfejs dostępu do procedury
zdefiniowanej w libsmbclient.so i, za pośrednictwem tej procedury, do
systemu plików Samby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes smb2www-2.cgi smb2www.css
%dir %{perl_vendorarch}/Filesys
%{perl_vendorarch}/Filesys/*.pm
%dir %{perl_vendorarch}/auto/Filesys
%dir %{perl_vendorarch}/auto/Filesys/SmbClient
# empty autosplit.ix
#%%{perl_vendorarch}/auto/Filesys/SmbClient/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Filesys/SmbClient/SmbClient.so
# this is NOT duplicate:
#%dir %{perl_vendorarch}/auto/Filesys/Smbclient
#%dir %{perl_vendorarch}/auto/Filesys/Smbclient/libauthSamba
#%%{perl_vendorarch}/auto/Filesys/Smbclient/libauthSamba/libauthSamba.a
%{_mandir}/man3/*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Filesys-SmbClient.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 5eb8ca6
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 383cda3
- fix makeing Makefile and passing our CFLAGS

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 7c34928
- up to 3.2
- added fixes from debian

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 191f587
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cdf19e6
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ab4a375
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9c4b755
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 46b23a6
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3aa0134
- release 5

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 9a82ecf
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 68f12e7
- rel 4

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 74c8068
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6dac429
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 41a3b9f
- converted to UTF-8

* Thu Mar 24 2005 Andrzej Zawadzki <zawadaa@gmail.com> b627ba0
- rel up for build with new libsmbclient, STBR
- but CPAN has new 3.0 ver - upgrade?

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 372c895
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 646d23f
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Sun May 30 2004 radek <radek@pld-linux.org> 9a5250d
- not needed anymore

* Sun May 30 2004 radek <radek@pld-linux.org> c0fae20
- release 2: finished upgrade, removed patch0, builds now.

* Thu May 06 2004 ankry <ankry@pld-linux.org> b71a139
- fixed perl-devel BR

